{% extends "base.html" %}
{% block content %}
<h3 style="text-align: center">Halaman Administrasi Peminjaman</h3>
<br><br>
<div class="row">
    <div class="col-md-6 col-xs-6">
        <table align="center" style="text-align: center">
            <tr>
                <th>No. Buku</th>
                <th>NPM peminjam</th>
                <th>No. Pinjaman</th>
                <th>tgl mulai</th>
                <th>tgl kembali</th>
            </tr>
            {% for peminjaman_data in peminjaman_dict %}
                <tr>
                    <td class="nobuku">{{ peminjaman_data.nobuku.nomorbuku }}</td>
                    <td class="npmuser">{{ peminjaman_data.npmuser.nama }}</td>
                    <td class="nomorpinjam">{{ peminjaman_data.nomorpinjam }}</td>
                    <td class="tglmulai">{{ peminjaman_data.tglmulai }}</td>
                    <td class="tglkembali">{{ peminjaman_data.tglkembali }}</td>
                </tr>
            {% endfor %}
        </table>
    </div>

    <div class="col-md-6 col-xs-6">
        <form method="POST" action="add_peminjaman/">
            {% csrf_token %}
            <table>
                <tr>
                    <td>
                        nomor buku :
                    </td>
                    <td>
                        <select name="nobuku">
                                {% for buku in semuabuku %}
                                    <option value="{{buku.nomorbuku}}"> {{ buku.judul }} </option>
                                {% endfor %}
                            <!-- <input type="text" name="nobuku" required id="nobuku" size="25" required="required"/> -->
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>
                        npm Mahasiswa:
                    </td>
                    <td>
                        <select name="npmuser">
                                {% for user in semuauser %}
                                    <option value="{{ user.npm }}"> {{ user.nama }} </option>
                                {% endfor %}
                        </select>
                        <!-- <input type="text" name="npmuser" required id="npmuser" size="25" required="required"/> -->
                    </td>
                </tr>
                <tr>
                    <td>
                        tglmulai :
                    </td>
                    <td>
                        <input type="date" required name="tglmulai" id="tglmulai" size="25" 
                        value=" {% load tz %} {{ value|localtime }} " />
                    </td>
                </tr>
                <tr>
                    <td>
                        tglkembali :
                    </td>
                    <td>
                        <input type="date" required name="tglkembali" id="tglmulai" size="25"
                        value=" {% load tz %} {{ value|localtime }} " />
                    </td>
                </tr>
            </table>
            <button type="submit" class="button btn-success">Submit</button>
        </form>
    </div>
</div>
{% endblock %}
